Page MenuHomePhabricator

Selenium tests for add link feature
Open, Stalled, MediumPublic

Description

There are a lot of moving parts with homepage code, VE, dialogs, etc, having some coverage of this via browser tests would be nice.

TBD is which specific components we want to try to target

Event Timeline

Change 698872 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] selenium: Add basic workflow test for add link feature

https://gerrit.wikimedia.org/r/698872

kostajh triaged this task as Medium priority.Jun 10 2021, 8:58 AM

Change 699705 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] selenium: Test for AddLink

https://gerrit.wikimedia.org/r/699705

Change 698872 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] selenium: AddLink configured Special:Homepage

https://gerrit.wikimedia.org/r/698872

kostajh lowered the priority of this task from Medium to Low.Jun 28 2021, 9:03 AM
kostajh moved this task from In Progress to Incoming on the Growth-Team (Current Sprint) board.

Stalled on T285649: Switch all Quibble Selenium jobs to use apache. We need apache in order for VisualEditor + Parsoid to work in CI.

Stalled on T285649: Switch all Quibble Selenium jobs to use apache. We need apache in order for VisualEditor + Parsoid to work in CI.

Although, we could still add tests for the No suggestions dialog,

kostajh raised the priority of this task from Low to Medium.Jul 2 2021, 8:35 AM
kostajh changed the task status from Open to Stalled.Mon, Sep 13, 10:15 AM
kostajh edited projects, added Growth-Team; removed Growth-Team (Current Sprint).

Stalled on T285649: Switch all Quibble Selenium jobs to use apache. We need apache in order for VisualEditor + Parsoid to work in CI.

Moving out of the current sprint due to this.

Stalled on T285649: Switch all Quibble Selenium jobs to use apache. We need apache in order for VisualEditor + Parsoid to work in CI.

Moving out of the current sprint due to this.

Maybe I'm not understanding this correctly, but looks like VisualEditor (and Parsoid?) work in CI, see 345146.

Stalled on T285649: Switch all Quibble Selenium jobs to use apache. We need apache in order for VisualEditor + Parsoid to work in CI.

Moving out of the current sprint due to this.

Maybe I'm not understanding this correctly, but looks like VisualEditor (and Parsoid?) work in CI, see 345146.

Yeah, now I am confused. Because my test would definitely just hang in CI, but it was also not possible (maybe you know a way?) to capture the browser console logs to see what the specific error was.

Also, for your test, I think it's possible that edit interactions specifically won't work -- I'm curious to see what happens when the Selenium test presses the Publish button.

Change 721024 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/VisualEditor@master] WIP VisualEditor should save an edit

https://gerrit.wikimedia.org/r/721024

Also, for your test, I think it's possible that edit interactions specifically won't work -- I'm curious to see what happens when the Selenium test presses the Publish button.

Let's see: 721024.

Yeah, now I am confused. Because my test would definitely just hang in CI, but it was also not possible (maybe you know a way?) to capture the browser console logs to see what the specific error was.

It might be possible with addConsoleLogs. You'll have to use spec reported instead of the default dot reporter, but that should be a simple configuration change. I would make a commit testing it, but I don't know what you would like to capture. Let me know if you need help. Feel free to set up a video meeting (my calendar is usually up to date) if you would like to pair on this.

Also, for your test, I think it's possible that edit interactions specifically won't work -- I'm curious to see what happens when the Selenium test presses the Publish button.

Let's see: 721024.

Nothing exploded, but it either didn't save or it takes a very long time to save. I'll further increase timeout, but I don't have much hope it will help.

Change 721024 abandoned by Zfilipin:

[mediawiki/extensions/VisualEditor@master] WIP VisualEditor should save an edit

Reason:

just a test

https://gerrit.wikimedia.org/r/721024

Change 721024 restored by Kosta Harlan:

[mediawiki/extensions/VisualEditor@master] WIP VisualEditor should save an edit

https://gerrit.wikimedia.org/r/721024

Change 721024 abandoned by Kosta Harlan:

[mediawiki/extensions/VisualEditor@master] WIP VisualEditor should save an edit

Reason:

https://gerrit.wikimedia.org/r/721024